// adapters/responses/publicUser.adapter.js
function mapUserToPublicUserSummaryResponse(user) {
  return {
    id: user.id,
    username: user.username,
    avatarUrl: user.avatarUrl ?? null,
  }
}

function mapUserToPublicUserDetailsResponse(user) {
  return {
    id: user.id,
    username: user.username,
    avatarUrl: user.avatarUrl ?? null,
    createdAt: user.createdAt, // ISO string olmalı
  }
}

module.exports = {
  mapUserToPublicUserSummaryResponse,
  mapUserToPublicUserDetailsResponse,
}
